Subject: [netext] PMIP purists - is PMIP-NEMO impossible?

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 13 Jul 2012 11:23:43 +0200

NETEXT WG members,

It was said at times that PMIP-NEMO is impossible.  PMIP is a core
network protocol, where mobility is supported without modifying the MN.

Or, in some PMIP-NEMO proposals, the MN _is_ modified: for example it
adds DHCP Client on it; or other times it performs HNP Division.

BEcause of this there exist statements that PMIP-NEMO is impossible.

Do you think there are other reasons why PMIP-NEMO is impossible?

Do you think that running DHCP Client on MN is a modification to MN?

Alex

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Fri, 13 Jul 2012 10:03:19 +0000

Alex:

1.) For allowing a mobile node to obtain an IPv4 address, it requires DHCPv4 client functionality based on RFC-2131. This is already assumed in RFC-5844.
2.) For allowing a mobile router to obtains a delegated IPv6 prefix, it requires DHCPv6 client functionality based on RFC-3315/RFC-3633, so it can obtains a delegated prefix.

In either of the above cases, we are not "changing" the client. We are requiring standard DHCP client functionality for obtaining address configuration. 

Now, we should really move the discussions to focus on the proposal you have. Ignoring, if we require a client change, or not, we need to analyze this idea of address splitting. If SLAAC can be enabled on that and if there are no issues, the approach can be relevant for DSMIP based systems, PMIP-based, both, wireline, or all/none. We can focus on the procedural aspects later.

Regards
Sri

On Jul 13, 2012, at 2:23 AM, Alexandru Petrescu wrote:

> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: <[email-masked]>
Date: Fri, 13 Jul 2012 12:08:50 +0000

Alex,

I don¹t know where you have come across statements about PMIP-NEMO being
impossible. Its just FUD.
DHCP is an independent protocol and hence has no implications regarding
network based mobility teams design of not modifying the MN.

-Raj

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 13 Jul 2012 14:30:21 +0200

Raj, thank you for the reply.

I agree mainly with you abou this:  DHCP is an independent protocol.

Alex

Le 13/07/2012 14:08, [email-masked] a écrit :
>
> Alex,
>
> I don¹t know where you have come across statements about PMIP-NEMO
> being impossible.

It depends to what extent one allows for 'modifications' to MN, for an
interpretation at your will of 'modification'.

E.g. one is more easier tempted to believe that if ND is there then this
is a normal node, but if one adds dhcpv6 then it's more like an added
feature and a modification.

(it's not the same as in the IPv4 world where DHCPv4 is always there).

To this there may be made some remarks in the 3GPP context where
apparently dhcpv6-pd is always there, but the picture is not that clear.

> Its just FUD.

'FUD' - fear uncertainty and despair?  I wouldn't qualify it so...
there is some part of truth in it.

In some context where I work we consider that the MN has no ND in it
(being very simple) and adding ND in it is a 'modification'.

> DHCP is an independent protocol and hence has no implications
> regarding network based mobility teams design of not modifying the
> MN.

Yes but: adding DHCPv6 on a MN is considered as modification or not.

Alex

>> Or, in some PMIP-NEMO proposals, the MN _is_ modified: for example
>> it adds DHCP Client on it; or other times it performs HNP
>> Division.
>>
>> _______________________________________________ netext mailing
>> list [email-masked] https://www.ietf.org/mailman/listinfo/netext
>
>
>

---

From: <[email-masked]>
Date: Fri, 13 Jul 2012 14:27:44 +0000

>Yes but: adding DHCPv6 on a MN is considered as modification or not.

Not in the context of PMIP6.

-Raj